Mail archive
alpine-aports

[alpine-aports] [PATCH 5/5] testing/avrdude: new aport

From: Stefan Wagner <stw_at_bit-strickerei.de>
Date: Fri, 15 Apr 2016 17:22:47 +0200

Download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers
http://www.nongnu.org/avrdude/
---
 testing/avrdude/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/avrdude/APKBUILD
diff --git a/testing/avrdude/APKBUILD b/testing/avrdude/APKBUILD
new file mode 100644
index 0000000..9cd3696
--- /dev/null
+++ b/testing/avrdude/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Stefan Wagner <stw_at_bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw_at_bit-strickerei.de>
+pkgname=avrdude
+pkgver=6.3
+pkgrel=0
+pkgdesc="Download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers"
+url="http://www.nongnu.org/avrdude/"
+arch="all"
+license="GPL"
+depends=""
+makedepends="linux-headers bash flex byacc libftdi-dev libusb-compat-dev libelf-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.savannah.gnu.org/releases/avrdude/${pkgname}-${pkgver}.tar.gz"
+
+builddir="$srcdir/${pkgname}-${pkgver}"
+build() {
+	cd "$builddir"
+	./configure \
+		--mandir=/usr/share/man \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--enable-linuxgpio || return 1
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="58bb42049122cf80fe4f4d0ce36d92ee  avrdude-6.3.tar.gz"
+sha256sums="0f9f731b6394ca7795b88359689a7fa1fba818c6e1d962513eb28da670e0a196  avrdude-6.3.tar.gz"
+sha512sums="b671008388d6a552e71066fec46429bc7f6639e8eac41113bcbba5a56212b78be31fcf04956b31e11c6b14888b0f6e825f7458395b9ff4fc28406074c7ded2b2  avrdude-6.3.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 15 2016 - 17:22:47 GMT